Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Fix several warnings: change version of nokogiri gem #1738

Merged
merged 1 commit into from

2 participants

@gazay

When you run 'rake test' there are several warnings about mismatched indentations at 'end' and 'def' or 'module' etc:

/Users/gazay/code/rails/actionpack/lib/action_dispatch/routing/mapper.rb:90: warning: mismatched indentations at 'end' with 'def' at 69
/Users/gazay/.rvm/gems/ruby-1.9.2-p180/gems/nokogiri-1.4.4/lib/nokogiri/css/generated_parser.rb:675: warning: mismatched indentations at 'end' with 'module' at 11

So the problem was in nokogiri gem 1.4.4 version, i found it was fixed (tenderlove/nokogiri@f1e3133) and bumped version to 1.4.5 stable. I suggest change version in Gemfile to 1.4.5, it solves this problem.

@spastorino spastorino merged commit da25aa5 into rails:master
@jake3030 jake3030 referenced this pull request from a commit in jake3030/rails
@lukeludwig lukeludwig Cache columns for has_and_belongs_to_many associations
This avoids repeatedly calling SHOW COLUMNS when the association is queried
[#1738 state:committed]
3ee4e00
@jake3030 jake3030 referenced this pull request from a commit in jake3030/rails
@lifo lifo Fix has_and_belongs_to_many_associations tests. #1738 3b1cd9e
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jun 16, 2011
  1. @gazay

    Change version of nokogiri gem

    gazay authored
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 1 deletion.
  1. +1 −1  Gemfile
View
2  Gemfile
@@ -44,7 +44,7 @@ platforms :ruby do
end
gem "json"
gem "yajl-ruby"
- gem "nokogiri", ">= 1.4.4"
+ gem "nokogiri", ">= 1.4.5"
group :test do
gem "ruby-prof" if RUBY_VERSION < "1.9.3"
Something went wrong with that request. Please try again.